/**	kbhit.h
 **
 ** Author: Ted Schmitz
 ** Date of original creation May 13, 1998
 **
 **	This file contains the definitions required by any code that
 ** wants to use the "kbhit()" function written for UNIX environments.
 **/

extern int kbhit(void);			/* check for key pressed */
extern int readch(void);		/* read key pressed */
extern void init_keyboard(void);	/* put keyboard in single char mode */
extern void close_keyboard(void);	/* restore keyboard to original mode */
extern char check_for_key(void);	/* get key if avail, -1 otherwise */
extern char wait_for_one_key(void);	/* wait for one key & return it */
extern int key_hit(void);		/* return TRUE/FALSE if key hit or not*/

